package com.lz.modules.equipment.dao;
/**
* <p>
*  服务类
* </p>
*
* @author quyixiao
* @since 2020-07-24
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lz.modules.equipment.entity.EquipmentType;
import com.lz.modules.equipment.entity.EquipmentTypeReq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface EquipmentTypeMapper extends BaseMapper<EquipmentType> {


	EquipmentType selectEquipmentTypeById(@Param("id") Long id);


	Long insertEquipmentType(EquipmentType equipmentType);


	int updateEquipmentTypeById(EquipmentType equipmentType);


	int updateCoverEquipmentTypeById(EquipmentType equipmentType);


	int deleteEquipmentTypeById(@Param("id") Long id);

	List<EquipmentType> listEquipmentTypes();

	EquipmentType selectEquipmentTypeByType(@Param("type") String type);


    List<EquipmentType> selectByType(@Param("type") String type);

    List<EquipmentType> selectByCondition(@Param("page") IPage page, @Param("req") EquipmentTypeReq req);


    List<EquipmentType> selectAll();
}